org.apache.poi.hwpf.usermodel

## Interface Field

-     public interface Field

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Range` | `firstSubrange(Range parent)`
    `int` | `getFieldEndOffset()`
    `int` | `getFieldStartOffset()`
    `CharacterRun` | `getMarkEndCharacterRun(Range parent)`
    `int` | `getMarkEndOffset()`
    `CharacterRun` | `getMarkSeparatorCharacterRun(Range parent)`
    `int` | `getMarkSeparatorOffset()`
    `CharacterRun` | `getMarkStartCharacterRun(Range parent)`
    `int` | `getMarkStartOffset()`
    `int` | `getType()`
    `boolean` | `hasSeparator()`
    `boolean` | `isHasSep()`
    `boolean` | `isLocked()`
    `boolean` | `isNested()`
    `boolean` | `isPrivateResult()`
    `boolean` | `isResultDirty()`
    `boolean` | `isResultEdited()`
    `boolean` | `isZombieEmbed()`
    `Range` | `secondSubrange(Range parent)`

- - ### Method Detail

    - #### firstSubrange

          Range firstSubrange(Range parent)

    - #### getFieldEndOffset

          int getFieldEndOffset()

      Returns:
        character position of first character after field (i.e. `getMarkEndOffset()` + 1)

    - #### getFieldStartOffset

          int getFieldStartOffset()

      Returns:
        character position of first character in field (i.e. `getFieldStartOffset()`)

    - #### getMarkEndCharacterRun

          CharacterRun getMarkEndCharacterRun(Range parent)

    - #### getMarkEndOffset

          int getMarkEndOffset()

      Returns:
        character position of end field mark

    - #### getMarkSeparatorCharacterRun

          CharacterRun getMarkSeparatorCharacterRun(Range parent)

    - #### getMarkSeparatorOffset

          int getMarkSeparatorOffset()

      Returns:
        character position of separator field mark (if present, `NullPointerException` otherwise)

    - #### getMarkStartCharacterRun

          CharacterRun getMarkStartCharacterRun(Range parent)

    - #### getMarkStartOffset

          int getMarkStartOffset()

      Returns:
        character position of start field mark

    - #### getType

          int getType()

    - #### hasSeparator

          boolean hasSeparator()

    - #### isHasSep

          boolean isHasSep()

    - #### isLocked

          boolean isLocked()

    - #### isNested

          boolean isNested()

    - #### isPrivateResult

          boolean isPrivateResult()

    - #### isResultDirty

          boolean isResultDirty()

    - #### isResultEdited

          boolean isResultEdited()

    - #### isZombieEmbed

          boolean isZombieEmbed()

    - #### secondSubrange

          Range secondSubrange(Range parent)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.